## visad.bom
Class CollectiveBarbManipulation.BarbMonitor

    java.lang.Object
      visad.ActionImpl
          visad.CellImpl
              visad.bom.CollectiveBarbManipulation.BarbMonitor

All Implemented Interfaces:
  Action, Cell, EventListener, Runnable, ThingChangedListener

Enclosing class:
  CollectiveBarbManipulation

class CollectiveBarbManipulation.BarbMonitor
extends CellImpl

Field Summary
`(package private) DataReferenceImpl` `ref`
`(package private) int` `sta_index`

Fields inherited from class visad.CellImpl
``

Constructor Summary
`CollectiveBarbManipulation.BarbMonitor(DataReferenceImpl r, int index)`

Method Summary
`void` `doAction()` subclasses of CellImpl implement doAction to execute triggered computation

Methods inherited from class visad.CellImpl
`getOtherReference, setOtherReference`

Methods inherited from class visad.ActionImpl
`addReference, checkTicks, disableAction, enableAction, findReference, getCurrentActionThread, getLinks, getName, removeAllReferences, removeReference, run, setEnabled, setName, setThreadPoolMaximum, stop, stopThreadPool, thingChanged, waitForTasks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface visad.Action
`addReference, getName, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Field Detail

### ref

    DataReferenceImpl ref

### sta_index

    int sta_index

Constructor Detail

### CollectiveBarbManipulation.BarbMonitor

    public CollectiveBarbManipulation.BarbMonitor(DataReferenceImpl r,
                                                  int index)

Method Detail

### doAction

    public void doAction()
                  throws VisADException,
                         RemoteException

  Description copied from class: `CellImpl`
  subclasses of CellImpl implement doAction to execute triggered computation

  Specified by:
    `doAction` in class `CellImpl`
  Throws:
    `RemoteException` - - an RMI error occurred
    `VisADException` - - a VisAD error occurred